@echo off
echo ###########################################
echo step1: default LCD demo recovery
sam-ba.exe \usb\ARM0 AT91SAM3U4-EK AT91SAM3UEK_Demo.tcl > logfile.log
echo    Check internal flash programming 
echo    and close logfile to continue! 
notepad logfile.log
echo step2: Launch default LCD demo
echo    Reset EK board and calibrate the touch screen
pause
echo step3: Launch U-Disk
echo    Connect USB cable to SAM3U-EK with PC
echo    Click the USB MSD button on the screen
echo    New removable disk should be detected on your PC! 
pause
echo step4: Input volume of the last removable disk
echo        example k: variable = k(enter)
set /p var=variable =
echo step5: Format the new removable disk
format %var%: /fs:fat32 /v:
echo step6: Copy product CDROM content into 
echo    the new removable disk!
del .\logfile.log
copy .\Sam3DEMO.bin %var%:
copy .\sample.wav %var%:
mkdir %var%:\SAM3U-EK_DevStart
xcopy /e ..\..\SAM3U-EK_DevStart %var%:\SAM3U-EK_DevStart
echo ###########################################
echo Please check the content in the 
echo new removable disk!
pause